> ## Documentation Index
> Fetch the complete documentation index at: https://seam-feat-mintlify-migration-iteration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieving Entrance Details

> Learn how to get details about the entrances in your ACS, including listing the credentials that provide access to a specific entrance.

In an ACS, an entrance is a secured door, gate, zone, or other method of entry. You can list details for all the `acs_entrance` resources in your [workspace](/core-concepts/workspaces/index) or get these details for a specific `acs_entrance`. You can also list all entrances associated with a specific [credential](/low-level-apis/access-systems/managing-credentials), and you can list all credentials associated with a specific entrance.

***

## List All Entrances

You can [list all `acs_entrance` resources](/api/acs/entrances/list) in your workspace. Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](/device-and-system-integration-guides#access-control-systems).

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.entrances.list()
    ```

    **Response:**

    ```json theme={null}
    [
      {
        acs_entrance_id: '55555555-5555-5555-5555-555555555555',
        acs_system_id: '11111111-1111-1111-1111-111111111111',
        workspace_id: '00000000-0000-0000-0000-000000000000',
        display_name: 'Guest Lock 2',
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/entrances/list' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{}'
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrances": [
        {
          "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
          "acs_system_id": "11111111-1111-1111-1111-111111111111",
          "workspace_id": "00000000-0000-0000-0000-000000000000",
          "display_name": "Guest Lock 2",
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.entrances.list()
    ```

    **Response:**

    ```
    [
      AcsEntrance(
        acs_entrance_id='55555555-5555-5555-5555-555555555555',
        acs_system_id='11111111-1111-1111-1111-111111111111',
        workspace_id='00000000-0000-0000-0000-000000000000',
        display_name='Guest Lock 2',
        ....
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->entrances->list();
    ```

    **Response:**

    ```json theme={null}
    [
      {
        "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "display_name": "Guest Lock 2",
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.EntrancesAcs.List();
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    }
    ...
    ```
  </Tab>
</Tabs>

***

## List Entrances in an ACS

To list all `acs_entrance`s in a specific ACS, include the `acs_system_id` filter in the [List Entrances](/api/acs/entrances/list) request. Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](/device-and-system-integration-guides#access-control-systems).

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.entrances.list({
      acs_system_id: '11111111-1111-1111-1111-111111111111',
    })
    ```

    **Response:**

    ```json theme={null}
    [
      {
        acs_entrance_id: '55555555-5555-5555-5555-555555555555',
        acs_system_id: '11111111-1111-1111-1111-111111111111',
        workspace_id: '00000000-0000-0000-0000-000000000000',
        display_name: 'Guest Lock 2',
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/entrances/list' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_system_id": "11111111-1111-1111-1111-111111111111"
    }'
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrances": [
        {
          "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
          "acs_system_id": "11111111-1111-1111-1111-111111111111",
          "workspace_id": "00000000-0000-0000-0000-000000000000",
          "display_name": "Guest Lock 2",
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.entrances.list(
      acs_system_id="11111111-1111-1111-1111-111111111111"
    )
    ```

    **Response:**

    ```
    [
      AcsEntrance(
        acs_entrance_id='55555555-5555-5555-5555-555555555555',
        acs_system_id='11111111-1111-1111-1111-111111111111',
        workspace_id='00000000-0000-0000-0000-000000000000',
        display_name='Guest Lock 2',
        ....
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->entrances->list(
      acs_system_id: "11111111-1111-1111-1111-111111111111"
    );
    ```

    **Response:**

    ```json theme={null}
    [
      {
        "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "display_name": "Guest Lock 2",
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.EntrancesAcs.List(
      acsSystemId: "11111111-1111-1111-1111-111111111111"
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    }
    ...
    ```
  </Tab>
</Tabs>

***

## List Credentials Associated with an Entrance

To [list the credentials that grant access to a specific entrance](/api/acs/entrances/list_credentials_with_access), use `list_credentials_with_access` method for the `acs_entrance` object and provide the `acs_entrance_id`.

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.entrances.list_credentials_with_access({
      acs_entrance_id: '55555555-5555-5555-5555-555555555555',
    })
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    [
      {
        acs_credential_id: '77777777-7777-7777-7777-777777777777',
        acs_user_id: '33333333-3333-3333-3333-333333333333',
        acs_system_id: '11111111-1111-1111-1111-111111111111',
        access_method: 'mobile_key',
        starts_at: '2024-04-09T14:30:55.688Z',
        ends_at: '2024-03-04T10:40:00.000Z',
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/entrances/list_credentials_with_access' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555"
    }'
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credentials": [
        {
          "acs_credential_id": "77777777-7777-7777-7777-777777777777",
          "acs_user_id": "33333333-3333-3333-3333-333333333333",
          "acs_system_id": "11111111-1111-1111-1111-111111111111",
          "access_method": "mobile_key",
          "starts_at": "2024-04-09T14:30:55.688Z",
          "ends_at": "2024-03-04T10:40:00.000Z",
          ...
        },
        ...
      ],
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.entrances.list_credentials_with_access(
      acs_entrance_id="55555555-5555-5555-5555-555555555555"
    )
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```
    [
      AcsCredential(
        acs_credential_id='77777777-7777-7777-7777-777777777777',
        acs_user_id='33333333-3333-3333-3333-333333333333',
        acs_system_id='11111111-1111-1111-1111-111111111111',
        access_method='mobile_key',
        starts_at='2024-04-09T14:30:55.688Z',
        ends_at='2024-03-04T10:40:00.000Z',
        ...
      ),
      ...
    ]
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->entrances->list_credentials_with_access(
      acs_entrance_id: "55555555-5555-5555-5555-555555555555"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    [
      {
        "acs_credential_id": "77777777-7777-7777-7777-777777777777",
        "acs_user_id": "33333333-3333-3333-3333-333333333333",
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "access_method": "mobile_key",
        "starts_at": "2024-04-09T14:30:55.688Z",
        "ends_at": "2024-03-04T10:40:00.000Z",
        ...
      },
      ...
    ]
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.EntrancesAcs.ListCredentialsWithAccess(
      acsEntranceId: "55555555-5555-5555-5555-555555555555"
    );
    ```

    **Response:**

    <Info>
      This response contains manufacturer-specific metadata that may vary by
      [manufacturer](/device-and-system-integration-guides#access-control-systems).
    </Info>

    ```json theme={null}
    {
      "acs_credential_id": "77777777-7777-7777-7777-777777777777",
      "acs_user_id": "33333333-3333-3333-3333-333333333333",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "access_method": "mobile_key",
      "starts_at": "2024-04-09T14:30:55.688Z",
      "ends_at": "2024-03-04T10:40:00.000Z",
      ...
    }
    ...
    ```
  </Tab>
</Tabs>

***

## List Entrances Associated with a Credential

To [list the entrances to which a specific credential grants access](/api/acs/credentials/list_accessible_entrances), use `list_accessible_entrances` method for the `acs_credential` object and provide the `acs_credential_id`. For details, see [Managing Credentials](/low-level-apis/access-systems/managing-credentials/listing-credentials-and-associated-entrances#list-entrances-associated-with-a-credential).

***

## Get an Entrance

You can [get the details of a specific `acs_entrance`](/api/acs/entrances/get). Note that entrance details include manufacturer-specific metadata that may vary by [manufacturer](/device-and-system-integration-guides#access-control-systems).

<Tabs>
  <Tab title="JavaScript">
    **Request:**

    ```javascript theme={null}
    await seam.acs.entrances.get({
      acs_entrance_id: '55555555-5555-5555-5555-555555555555',
    })
    ```

    **Response:**

    ```json theme={null}
    {
      acs_entrance_id: '55555555-5555-5555-5555-555555555555',
      acs_system_id: '11111111-1111-1111-1111-111111111111',
      workspace_id: '00000000-0000-0000-0000-000000000000',
      display_name: 'Guest Lock 2',
      ...
    }
    ```
  </Tab>

  <Tab title="cURL">
    **Request:**

    ```bash theme={null}
    # Use GET or POST.
    curl -X 'GET' \
      'https://connect.getseam.com/acs/entrances/get' \
      -H 'accept: application/json' \
      -H "Authorization: Bearer ${API_KEY}" \
      -H 'Content-Type: application/json' \
      -d '{
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555"
    }'
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrance": {
        "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
        "acs_system_id": "11111111-1111-1111-1111-111111111111",
        "workspace_id": "00000000-0000-0000-0000-000000000000",
        "display_name": "Guest Lock 2",
        ...
      },
      "ok": true
    }
    ```
  </Tab>

  <Tab title="Python">
    **Request:**

    ```python theme={null}
    seam.acs.entrances.get(
      acs_entrance_id="55555555-5555-5555-5555-555555555555"
    )
    ```

    **Response:**

    ```
    AcsEntrance(
      acs_entrance_id: '55555555-5555-5555-5555-555555555555',
      acs_system_id: '11111111-1111-1111-1111-111111111111',
      workspace_id: '00000000-0000-0000-0000-000000000000',
      display_name: 'Guest Lock 2',
      ...
    )
    ```
  </Tab>

  <Tab title="Ruby">
    **Request:**

    ```ruby theme={null}
    # Coming soon!
    ```

    **Response:**

    ```
    # Coming soon!
    ```
  </Tab>

  <Tab title="PHP">
    **Request:**

    ```php theme={null}
    $seam->acs->entrances->get(
      acs_entrance_id: "55555555-5555-5555-5555-555555555555"
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    }
    ```
  </Tab>

  <Tab title="C#">
    **Request:**

    ```csharp theme={null}
    seam.EntrancesAcs.Get(
      acsEntranceId: "55555555-5555-5555-5555-555555555555"
    );
    ```

    **Response:**

    ```json theme={null}
    {
      "acs_entrance_id": "55555555-5555-5555-5555-555555555555",
      "acs_system_id": "11111111-1111-1111-1111-111111111111",
      "workspace_id": "00000000-0000-0000-0000-000000000000",
      "display_name": "Guest Lock 2",
      ...
    }
    ```
  </Tab>
</Tabs>
